org.apache.myfaces.trinidad.event

## Class WindowEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.myfaces.trinidad.event.WindowEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    WindowLifecycleEvent

      public abstract class WindowEvent
      extends EventObject

  Represents an event delivered with a Window as the source.
  See Also:
    `Window`, `WindowLifecycleListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WindowEvent(Window source)` Constructs a WindowEvent for the specified Window

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Window` | `getSource()`
    `protected boolean` | `subclassEquals(WindowEvent e)` Called by subclass `equals` implementation to check the WindowEvent portion of equivalence.

    - ### Methods inherited from class java.util.EventObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowEvent

          protected WindowEvent(Window source)

      Constructs a WindowEvent for the specified Window
      Parameters:
        `source` - the Window that tis the source of this event.

  - ### Method Detail

    - #### getSource

          public Window getSource()

      Overrides:
        `getSource` in class `EventObject`
      Returns:
        the Window that this event ocurred on.

    - #### subclassEquals

          protected final boolean subclassEquals(WindowEvent e)

      Called by subclass `equals` implementation to check the WindowEvent portion of equivalence.
      Parameters:
        `e` - Non-null WindowEvent to compare for equality
      Returns:
        `true` if the the WindowEvent satisfies the WindowEvent portion of equivalence.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.